X2Go Bug report logs - #391
Need trailing ; in MimeType in desktop file

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Fri, 3 Jan 2014 20:50:01 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.1.10

Fixed in version 4.0.1.11

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#391; Package x2goserver. (Fri, 03 Jan 2014 20:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 03 Jan 2014 20:50:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: Need trailing ; in MimeType in desktop file
Date: Fri, 03 Jan 2014 13:47:38 -0700
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.10
Tags: patch

This fixes.

You also want:

in %package fmbindings:

BuildRequires:  desktop-file-utils

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

in %install:

desktop-file-validate %{buildroot}%{_datadir}/applications/x2gofm.desktop


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com
[x2goserver-mimetype.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#391; Package x2goserver. (Sat, 04 Jan 2014 11:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 04 Jan 2014 11:00:02 GMT) (full text, mbox, link).


Message #10 received at 391@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 391-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 391@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Sat, 4 Jan 2014 11:55:08 +0100 (CET)
tag #391 pending
fixed #391 4.0.1.11
thanks

Hello,

X2Go issue #391 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=0b67dd2

The issue will most likely be fixed in src:x2goserver (4.0.1.11).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 0b67dd24d737a1a13d83b9ebe1d429480a754fba
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Jan 4 11:46:29 2014 +0100

    Fix x2gofm.desktop syntax. (Fixes: #391). x2goserver.spec: Enhance requirement of desktop-file-utils, validate x2gofm.desktop during package build.

diff --git a/debian/changelog b/debian/changelog
index 7e03fa5..e5869f4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,10 @@
 x2goserver (4.0.1.11-0x2go1) UNRELEASED; urgency=low
 
-  * Continue development on stable branch of X2Go Server...
+  * New upstream version (4.0.1.11):
+    - Fix x2gofm.desktop syntax. (Fixes: #391).
+  * x2goserver.spec:
+    - Enhance requirement of desktop-file-utils, validate x2gofm.desktop
+      during package build.
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 04 Jan 2014 11:29:35 +0100
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 04 Jan 2014 11:00:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.11. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 04 Jan 2014 11:00:02 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#391. (Sat, 04 Jan 2014 11:00:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#391; Package x2goserver. (Mon, 06 Jan 2014 17:30:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 06 Jan 2014 17:30:03 GMT) (full text, mbox, link).


Message #22 received at 391@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 391-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 391@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Mon, 6 Jan 2014 18:28:55 +0100 (CET)
close #391
thanks

Hello,

we are very hopeful that X2Go issue #391 reported by you
has been resolved in the new release (4.0.1.11) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.11)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=c05a15086ed4a007d3627b08ae5279f31a046b4c;hp=18702f6ea834854b9777c43714d3047ab4a543f4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.11-0x2go1
Status: RELEASE
Date: Mon, 06 Jan 2014 18:24:49 +0100
Fixes: 391
Changes: 
 x2goserver (4.0.1.11-0x2go1) RELEASED; urgency=low
 .
   * New upstream version (4.0.1.11):
     - Fix x2gofm.desktop syntax. (Fixes: #391).
     - Include all achievements from LTS release branch (as of version
       4.0.0.9).
   * x2goserver.spec:
     - Enhance requirement of desktop-file-utils, validate x2gofm.desktop
       during package build.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 06 Jan 2014 17:30:04 GMT) (full text, mbox, link).


Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Mon, 06 Jan 2014 17:30:04 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#391. (Mon, 06 Jan 2014 17:30:07 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 04 Feb 2014 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Oct 20 19:01:28 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.